<?php 
require_once('../modelos/Persona.php');

$persona=new Persona();

$idpersona=isset($_POST["idpersona"])? limpiarCadena($_POST["idpersona"]):"";
$nombre=isset($_POST["nombres"])? limpiarCadena($_POST["nombres"]):"";
$apellido=isset($_POST["apellidos"])? limpiarCadena($_POST["apellidos"]):"";
$celular=isset($_POST["celular"])? limpiarCadena($_POST["celular"]):"";
$whatsapp=isset($_POST["whatsapp"])? limpiarCadena($_POST["whatsapp"]):"";
$dni=isset($_POST["dni"])? limpiarCadena($_POST["dni"]):"";
$numero_documento=isset($_POST["numero_documento"])? limpiarCadena($_POST["numero_documento"]):"";
$password=isset($_POST["password"])? limpiarCadena($_POST["password"]):"";
$clavehash=hash("SHA256",$password);

$whatsapp = isset($_POST['whatsapp']) ? limpiarCadena($_POST['whatsapp']) : '';
$email = isset($_POST['email']) ? limpiarCadena($_POST['email']) : '';
$fecha = isset($_POST['fecha']) ? $_POST['fecha'] : null;


switch ($_GET["op"])
{
    case 'guardar_datos':
    if (empty($idpersona)) {
        $rspta = $persona->insertar($nombre, $apellido, $celular, $whatsapp, $dni);

        if ($rspta === "duplicado") {
            echo json_encode([
                "status" => "duplicado",
                "message" => "Ya hemos recibido su solicitud. En unos minutos se pondrán en contacto con usted!"
            ]);
        } else if ($rspta === "ok") {
            echo json_encode([
                "status" => "success",
                "message" => "En unos minutos nuestro personal se pondrán en contacto con usted!"
            ]);
        } else {
            echo json_encode([
                "status" => "error",
                "message" => "El registro no se pudo guardar. Inténtalo nuevamente."
            ]);
        }
    }
    break;

    case 'validar_login':
        $rspta = $persona->validar_login($numero_documento, $password);
           if ($rspta['status'] === 'success') {
                session_start();
                $_SESSION['idusuario'] = $rspta['data']['idpersona']; 
                $_SESSION['nombre'] = $rspta['data']['nombre'];
                $_SESSION['email'] = $rspta['data']['email'];
                $_SESSION['whatsapp'] = $rspta['data']['whatsapp'];
                $_SESSION['fechanacimiento'] = $rspta['data']['fechanacimiento'];
                echo json_encode([
                'status' => 'success',
                'message' => 'Credenciales correctas. Redirigiendo al portal..',
                'data' => $rspta['data']
                ]);
                }else {
                    echo json_encode([
                        'status' => 'error',
                        'message' => $rspta['message'] // Aquí se muestra el mensaje específico
                ]);
            }
    break;

    case 'actualizar_datos':
    
        $rspta = $persona->actualizar_datos($idpersona, $whatsapp, $email, $fecha);

        if ($rspta === "ok") {
            echo json_encode([
                "status" => "success",
                "message" => "Datos actualizados correctamente."
            ]);
        } else {
            echo json_encode([
                "status" => "error",
                "message" => "No se pudo guardar la información."
            ]);
        }
    
    break;
}